summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
Diffstat (limited to 'tools')
-rw-r--r--tools/dyecmd/src/dye.cpp2
-rw-r--r--tools/dyecmd/src/dye.h2
-rw-r--r--tools/dyecmd/src/dyecmd.cpp2
-rw-r--r--tools/dyecmd/src/imagewriter.cpp2
-rw-r--r--tools/dyecmd/src/imagewriter.h2
-rw-r--r--tools/tmxcopy/tostring.h2
-rw-r--r--tools/tmxcopy/xmlutils.cpp2
-rw-r--r--tools/tmxcopy/xmlutils.h2
-rwxr-xr-xtools/update-copyright.sh23
9 files changed, 31 insertions, 8 deletions
diff --git a/tools/dyecmd/src/dye.cpp b/tools/dyecmd/src/dye.cpp
index 251703b8..1df49112 100644
--- a/tools/dyecmd/src/dye.cpp
+++ b/tools/dyecmd/src/dye.cpp
@@ -1,6 +1,6 @@
/*
* The Mana World
- * Copyright (C) 2007 The Mana World Development Team
+ * Copyright (C) 2007-2010 The Mana World Development Team
*
* This file is part of The Mana World.
*
diff --git a/tools/dyecmd/src/dye.h b/tools/dyecmd/src/dye.h
index b82bc1be..14148e24 100644
--- a/tools/dyecmd/src/dye.h
+++ b/tools/dyecmd/src/dye.h
@@ -1,6 +1,6 @@
/*
* The Mana World
- * Copyright (C) 2007 The Mana World Development Team
+ * Copyright (C) 2007-2010 The Mana World Development Team
*
* This file is part of The Mana World.
*
diff --git a/tools/dyecmd/src/dyecmd.cpp b/tools/dyecmd/src/dyecmd.cpp
index ebec1f44..92951063 100644
--- a/tools/dyecmd/src/dyecmd.cpp
+++ b/tools/dyecmd/src/dyecmd.cpp
@@ -1,6 +1,6 @@
/*
* The Mana World
- * Copyright (C) 2008 The Mana World Development Team
+ * Copyright (C) 2008-2010 The Mana World Development Team
*
* This file is part of The Mana World.
*
diff --git a/tools/dyecmd/src/imagewriter.cpp b/tools/dyecmd/src/imagewriter.cpp
index 3b4f0577..cd89dfaa 100644
--- a/tools/dyecmd/src/imagewriter.cpp
+++ b/tools/dyecmd/src/imagewriter.cpp
@@ -1,6 +1,6 @@
/*
* The Mana World
- * Copyright (C) 2004 The Mana World Development Team
+ * Copyright (C) 2004-2010 The Mana World Development Team
*
* This file is part of The Mana World.
*
diff --git a/tools/dyecmd/src/imagewriter.h b/tools/dyecmd/src/imagewriter.h
index 8eb6cead..8a44b663 100644
--- a/tools/dyecmd/src/imagewriter.h
+++ b/tools/dyecmd/src/imagewriter.h
@@ -1,6 +1,6 @@
/*
* The Mana World
- * Copyright (C) 2004 The Mana World Development Team
+ * Copyright (C) 2004-2010 The Mana World Development Team
*
* This file is part of The Mana World.
*
diff --git a/tools/tmxcopy/tostring.h b/tools/tmxcopy/tostring.h
index 5ac1d3aa..c1cd8b78 100644
--- a/tools/tmxcopy/tostring.h
+++ b/tools/tmxcopy/tostring.h
@@ -1,6 +1,6 @@
/*
* The Mana World
- * Copyright (C) 2004 The Mana World Development Team
+ * Copyright (C) 2004-2010 The Mana World Development Team
*
* This file is part of The Mana World.
*
diff --git a/tools/tmxcopy/xmlutils.cpp b/tools/tmxcopy/xmlutils.cpp
index 54dd0869..76e52707 100644
--- a/tools/tmxcopy/xmlutils.cpp
+++ b/tools/tmxcopy/xmlutils.cpp
@@ -1,6 +1,6 @@
/*
* The Mana World
- * Copyright (C) 2004 The Mana World Development Team
+ * Copyright (C) 2004-2010 The Mana World Development Team
*
* This file is part of The Mana World.
*
diff --git a/tools/tmxcopy/xmlutils.h b/tools/tmxcopy/xmlutils.h
index 9a1f7dab..99c757dd 100644
--- a/tools/tmxcopy/xmlutils.h
+++ b/tools/tmxcopy/xmlutils.h
@@ -1,6 +1,6 @@
/*
* The Mana World
- * Copyright (C) 2004 The Mana World Development Team
+ * Copyright (C) 2004-2010 The Mana World Development Team
*
* This file is part of The Mana World.
*
diff --git a/tools/update-copyright.sh b/tools/update-copyright.sh
new file mode 100755
index 00000000..67deaaa4
--- /dev/null
+++ b/tools/update-copyright.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+# Copyright (C) 2001-2010 Wormux Team.
+# Copyright (C) 2010 The ManaWorld Development Team.
+
+new_year="$1"
+[[ -z $new_year ]] && echo "Missing parameter: year" && exit 1
+
+[[ ! -e src ]] && echo "This script should be ran from the top mana/manaserv dir" && exit 2
+
+tmp_file="w$RANDOM$RANDOM$RANDOM$RANDOM"
+[[ -e $tmp_file ]] && tmp_file="w$RANDOM$RANDOM$RANDOM$RANDOM"
+
+# update the dates, creating the interval if it doesn't exist yet
+find -iname "*.cpp" -or -iname "*.h" -or -iname "*.hpp" |
+ xargs sed -i "/Copyright.*The Mana World Development Team/ s,\(20[0-9]*\) \|\(20[0-9]*\)-20[0-9]* ,\1\2-$new_year ,"
+
+# do a semi-automated commit check
+git diff > $tmp_file
+echo "The next +/- counts mentioning copyrights should match:"
+grep "^[-+][^-+]" $tmp_file | sort | uniq -c
+echo "If they don't, try finding the offending files with grep -rl <\$bad_line>"
+
+